EDITMAP(8)

NAME
editmap - query and edit single records in database maps for sendmail

SYNOPSIS
editmap [-C file] [-N] [-f] [-q|-u|-x] maptype mapname key [ "value ..." ]

DESCRIPTION
Editmap queries or edits one record in database maps used by the keyed map lookups in sendmail(8). Arguments are passed on the command line and output (for queries) is directed to standard output.

Depending on how it is compiled, editmap handles up to three different database formats, selected using the maptype parameter. They may be

dbm DBM format maps. This requires the ndbm(3) library.

btree
    B-Tree format maps. This requires the new Berkeley DB library.

hash
    Hash format maps. This also requires the Berkeley DB library.

If the TrustedUser option is set in the sendmail configuration file and editmap is invoked as root, the generated files will be owned by the specified TrustedUser.

  Flags

-C  Use the specified sendmail configuration file for looking up the TrustedUser option.

-N  Include the null byte that terminates strings in the map (for alias maps).

-f  Normally all upper case letters in the key are folded to lower case. This flag disables that behaviour. This is intended to mesh with the -f flag in the K line in sendmail.cf. The value is never case folded.

-q  Query the map for the specified key. If found, print value to standard output and exit with 0. If not found then print an error message to stdout and exit with EX_UNAVAILABLE.

-u  Update the record for key with value or inserts a new record if one doesn't exist. Exits with 0 on success or EX_IOERR on failure.

-x  Deletes the specific key from the map. Exits with 0 on success or EX_IOERR on failure.

SEE ALSO
sendmail(8),
    makemap(8)

HISTORY
The editmap command has no history.